Package org.apache.lucene.spatial.prefix

## Class HeatmapFacetCounter.Heatmap

- java.lang.Object
- - org.apache.lucene.spatial.prefix.HeatmapFacetCounter.Heatmap

- Enclosing class:
    HeatmapFacetCounter

      public static class HeatmapFacetCounter.Heatmap
      extends Object

  Response structure

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `columns` |
    `int[]` | `counts` |
    `org.locationtech.spatial4j.shape.Rectangle` | `region` |
    `int` | `rows` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Heatmap​(int columns, int rows, org.locationtech.spatial4j.shape.Rectangle region)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCount​(int x, int y)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### columns

          public final int columns

    - #### rows

          public final int rows

    - #### counts

          public final int[] counts

    - #### region

          public final org.locationtech.spatial4j.shape.Rectangle region

  - ### Constructor Detail

    - #### Heatmap

          public Heatmap​(int columns,
                         int rows,
                         org.locationtech.spatial4j.shape.Rectangle region)

  - ### Method Detail

    - #### getCount

          public int getCount​(int x,
                              int y)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`